Subject: RE: ERO question in RSVP-TE

From: "Feng, Mark" <[email-masked]>
Date: Wed, 16 Jan 2002 13:24:51 -0800

I am working on the assumption that the second one will be ignored,
regardless the content of the first ERO object.

- Mark

> -----Original Message-----
> From: David Charlap [mailto:[email-masked]]
> Sent: Wednesday, January 16, 2002 1:02 PM
> To: [email-masked]
> Subject: ERO question in RSVP-TE
> 
> 
> I've a question regarding explicit route objects (EROs) in RSVP-TE.
> 
> RFC 3209 says (section 4.3):
> 
> 	If a Path message contains multiple EXPLICIT_ROUTE objects,
> 	only the first object is meaningful.  Subsequent
> 	EXPLICIT_ROUTE objects MAY be ignored and SHOULD NOT be
> 	propagated.
> 
> I'm wondering about one specific possible caveat here.  What if there
> are two ERO objects, and the first is malformed in a way that would
> cause it to be ignored (for instance, it contains no subobjects). 
> Should the second ERO then be used?  Or should the second one still be
> ignored, even though the first ERO is meaningless?
> 
> I'm inclined to believe that the second ERO should still be 
> ignored, but
> I'd appreciate some confirmation from others who are working on the
> protocol.
> 
> -- David
>

---

From: "Feng, Mark" <[email-masked]>
Date: Wed, 16 Jan 2002 15:55:35 -0800

I have a similar question regarding the ERO processing:

"It is anticipated that new subobjects may be defined over time.  A
node which encounters an unrecognized subobject during its normal ERO
processing sends a PathErr with the error code "Routing Error" and
error value of "Bad Explicit Route Object" toward the sender.  The
EXPLICIT_ROUTE object is included, truncated (on the left) to the
offending subobject."

In the TE document, there is no definition for the PathErr message. Is it
true then, ERO object can appear in the PathErr message?

Thanks in advance.

- Mark

---

From: "Feng, Mark" <[email-masked]>
Date: Wed, 16 Jan 2002 16:39:59 -0800

Sorry for the duplicate e-mail. It seems the first one got lost...

-----Original Message-----
From: Feng, Mark 
Sent: Wednesday, January 16, 2002 3:56 PM
To: [email-masked]
Subject: RE: ERO question in RSVP-TE

Thanks in advance.

- Mark